Рекомендация Debian по безопасности

DSA-4819-1 kitty -- обновление безопасности

Дата сообщения:
26.12.2020
Затронутые пакеты:
kitty
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2020-35605.
Более подробная информация:

Стефан Шово обнаружил, что реализация графического протокола в Kitty, эмуляторе терминала на базе графического ускорителя, не выполняет очистку имени файла при возврате сообщения об ошибке, что может приводить к выполнению произвольных команд командной оболочки при отображении файла с помощью утилиты cat.

В стабильном выпуске (buster) эта проблема была исправлена в версии 0.13.3-1+deb10u1.

Рекомендуется обновить пакеты kitty.

С подробным статусом поддержки безопасности kitty можно ознакомиться на соответствующей странице отслеживания безопасности по адресу https://security-tracker.debian.org/tracker/kitty